Bug 73243 - Important libXrender bug fix
Summary: Important libXrender bug fix
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: null
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-01 16:20 UTC by Owen Taylor
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-01 23:38:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to xc/lib/Xrender/Glyph.c (7.01 KB, patch)
2002-09-01 16:22 UTC, Owen Taylor
no flags Details | Diff

Description Owen Taylor 2002-09-01 16:20:55 UTC
The attached patch (extracted from XFree86 CVS) fixes an important
bug in libXrender where Xrender could generate invalid protocol 
streams when rendering long text strings.

The patch also includes a  fix for a crash you'd get when
using our XFree86-libs with a server with a newer version of
XRender. It isn't important now, but will be more important
when we eventually ship XFree86-4.3.

Comment 1 Owen Taylor 2002-09-01 16:22:23 UTC
Created attachment 74426 [details]
Patch to xc/lib/Xrender/Glyph.c

Comment 2 Mike A. Harris 2002-09-01 23:38:21 UTC
Patch applied to 4.2.0-70 in rawhide.

Comment 3 Owen Taylor 2002-09-02 00:28:29 UTC
Packages test out test fix the test case I have and to work well
otherwise, thanks


Note You need to log in before you can comment on or make changes to this bug.